.chat-body {
  background-color: #ffffff;
  overflow: hidden; 
}

.toast-top-center {
  top: 60px;
}

.centered {
  text-align: center;
}

.terms {
  color: rgb(58, 58, 58);
  text-decoration: underline;
}
.ui.action.icon.input.full {
    justify-content: end;
}

.terms:hover {
  color: black;
  text-decoration: none;
}

.msg {
  margin-bottom: 2.5px;
  margin-top: 2.5px;
}

.agree {
  font-size: 40px;
  font-weight: 300;
}

.white-text {
  color: #ffffff;
}

.full {
  width: 100%;
}

.ui.bottom {
  position: fixed;
  bottom: 0;
  margin: 0px;
  border: 0px;
}

.semi {
  width: 87.5%;
  z-index: 3;
}

.ui.top {
  position: fixed;
}

#msgs {
    margin: 40px 0px;
    padding: 0 0px 0 20px;
}


#endbtn {
  margin-right: 5px;
}

.right-float {
  position: absolute;
  right: 0px;
}

.hide {
  display: none !important;
}

.sty {
  text-align: center;
  text-shadow: 0 0 10px whitesmoke;
}

#msgs .msg a {
  color:#ffffff;
  text-decoration: underline;
}

.foot {
  margin-top: -10px;
}

.add {
  margin: 40px;
  padding: 0px;
  font-size: 20px;
  margin-bottom: 0;
  color: rgb(58, 58, 58);
}

.wrapper {
  display: flex;
  flex-wrap: nowrap;
}

.item {
  flex: 1;
}

.end {
  justify-content: flex-end;
  display: flex;
  text-align: left;
  flex-basis: 0;
}

#footer {
  position: fixed;
  bottom: 0;
  right: 0;
  left: 0;
}

.add2 {
  padding: 10px;
  font-size: 20px;
  margin-bottom: 0;
  color: rgb(58, 58, 58);
}

.content .header {
  font-size: 1.5em;
}

.top_clear {
  margin-top: 30px;
}

.content .icon {
  text-align: right;
}

.ui.mini.modal {
  position: fixed;
  z-index: 9999999;
  top: 20%;
  left: 37.9%;
}

#msgs .one .right,
#msgs .one .left {
  position: relative;
  height: auto;
  align-self: auto;
}

.times_css {
    /* display: none; */
    position: absolute;
    left: 19px;
    font-size: 0.7em;
    bottom: 15px;
    color: #ffffff;
}

.msg_div {
  border-radius: 25px;
  word-wrap: break-word;
  white-space: -moz-pre-wrap;
  white-space: pre-wrap;
}

#squareOne {
  height: 28px;
  width: 28px;
}

.description {
  margin-top: 10px;
}

.item .header {
  text-align: center;
}

.agree_text {
  position: relative;
  left: 10px;
  text-align: center;
  font-size: 20px;
  font-weight: 300;
}

.hr {
  margin-top: 15px;
  border: .2px solid rgb(219, 219, 219);
}

.link {
  color: rgb(58, 58, 58);
  text-decoration: underline;
}

.bold {
  font-weight: bolder;
}

@media screen and (max-width: 768px) {
  .txt {
    display: none;
  }
  #sendbtn,
  #endbtn {
    padding: 18px !important;
  }
  .ui.grid {
    margin: 0px;
  }
  .outer {
    padding-top: 0px !important;
  }
  .fourteen,
  .one {
    padding-left: 0px !important;
    padding-right: 0px !important;
  }
  .top_clear {
    top: 0vh;
  }
  .add {
    margin: 20px;
    padding: 10px;
  }
  .user_text {
    font-size: 1em;
  }
  #msgs .one .right,
  #msgs .one .left {
    position: relative;
    height: auto;
    align-self: auto
  }
  .ui.mini.modal {
    position: fixed;
    z-index: 9999999;
    top: 20%;
    right: 10px;
  }
  .agree_text {
    position: relative;
    left: 10px;
    text-align: center;
  }
}
.ui.relaxed.divided.list .item {
  float: right;
  display: block;
  border-radius: 0px;
  color: #fff !important;
  border-right: 2px solid #000;
  border-bottom: 2px solid #000;
  width: 25%;
  padding: 15px !important;
  padding-right: 15px !important;
  TEXT-ALIGN: CENTER;
}
.ui.segment {
  border: none;
  box-shadow: none;
}
.item img {
  width: 100%;
  height: 225px;
  border-radius: 20px;
  box-shadow: 23px 23px 45px #00000075;
}

.ui.list .list>.item .description, .ui.list>.item .description {
  display: block;
  color: #000;
  padding: 15px 0 15px !important;
  margin: 0;
  font-size: 19px;
}
div, h1, h2, h3, h4, h5, h6, span, li, a {
    font-family: system-ui !important;
}

.eight.wide.computer.eight.wide.tablet.sixteen.wide.mobile.column.center.aligned {
  padding: 0;
}
.eight.wide.computer.eight.wide.tablet.sixteen.wide.mobile.column.center.aligned .ui.segment {
  padding: 0;
}
.ui.grid.divided {
  direction: rtl;
  padding: 0 14px;
}
.ui.menu{
  border: none;
  border-bottom: 2px solid #000;
  border-radius: 0;
}
.ui.menu .item:before {
  position: absolute;
  content: '';
  top: 0;
  right: 0;
  height: 100%;
  width: 2px;
  background: rgb(0 0 0);
}



@media (max-width:600px){
  .ui.relaxed.divided.list .item {
    width: 50%;
  }
  .ui.grid.divided {
    padding: 0;
  }
}


  #localVideoContainer {
    width: 135px;
    display: inline-block;
    position: fixed;
    z-index: 999;
    bottom: 85px;
    right:0;
}
  #remoteVideoContainer{
     width: 100%; display: inline-block;  position: fixed; z-index: 999;top: 0;
  }
    .ui.grid {
    position: absolute;
    width: 100%;
    float: left;
    left: 0;
    top: 0;
}
  @media (min-width:1000px){
    #localVideoContainer, #remoteVideoContainer{
     width: 33.333%;
    display: inline-block;
    position: fixed;
    z-index: 999;
    top: 0;
    max-height: 450px !important;
    overflow: hidden;
}
 .ui.grid {
  position: inherit;
    width: 81%;
    float: left;
    left: 0;
    top: 0;
    overflow-y: scroll;
    max-height: 89vh;
}
}
 .ui.column.grid>[class*="fourteen wide"].column, .ui.grid>.column.row>[class*="fourteen wide"].column, .ui.grid>.row>[class*="fourteen wide"].column, .ui.grid>[class*="fourteen wide"].column {
    width: 100%!important;
    padding: 0;
}
div#remoteLoading {
    display: inherit;
    background: #9696963d;
    height: 50px;
    z-index: 0;
    height: 100vh;
    top: 0;
    position: fixed;
    width: 100%;
    color: #202020;
    text-align: center;
    vertical-align: middle;
    line-height: 35;
    font-size: 24px;
    padding-right: 50rem;
}
 @media (max-width:600px){
div#remoteLoading {
   color: #000;
    background: #e2e2e2 !important;
    padding: 0;
    font-size: 20px;
}
#toast-container.toast-bottom-center>div, #toast-container.toast-top-center>div {
    width: 60% !important;
    margin-left: auto;
    margin-right: auto;
    float: left;
    position: absolute;
    left: 1em;
    top: -4em;
    padding: 8px 15px;
    font-size: 11px;
    border-radius: 50px;
}
div#msgs {
  max-height: 115px;
    overflow-x: hidden;
    overflow-y: scroll;
    position: fixed;
    bottom: 76px;
    top: 4.8rem;
    width: 57%;
    margin: 0;
    float: right;
    left: 0px;
    z-index: 9999;
}
 video#remoteVideo {
   width: 100vw; /* Take up the full viewport width */
   height: 95vh; /* Take up the full viewport height */
  object-fit: cover;
}
  video#localVideo {
    width: 100px;
    height: 150px;
    object-fit: cover;
    margin-left: 1em;
    border-radius: 4px;
    float: left;
}
 }

 @media screen and (max-width: 768px){
#msgs .one .right, #msgs .one .left {
    position: relative;
    height: auto;
    align-self: auto;
    width: 85% !important;
    display: block;
}
 }
 .right.floated.blue.seven.wide.column.msg_div {
    background: #00ada5 !important;
}
  
  button#startStopButton {
    top: 20px;
    display: block;
    position: fixed;
    margin-right: 18px;
    border: 0;
    border-radius: 50px;
    padding: 7px 16px;
    font-weight: 709;
    background: #00ada5;
    color: #fff;
}

button#muteButton {
    position: absolute;
    bottom: 20px;
    left: 20px;
	border: 0;
	z-index: 9999999999;
    border-radius: 50px;
    padding: 7px 16px;
    font-weight: 709;
    background: #00ada5;
    color: #fff;
}

button#muteUnmuteButton {
    top: 20px;
    display: block;
    position: fixed;
    margin-right: 75px;
    border: 0;
    border-radius: 50px;
    padding: 7px 16px;
    font-weight: 709;
    background: #00ada5;
    color: #fff;
}

div#remoteVideoContainer {
    left: 0;
    top: 0;
    overflow: hidden;
    height: 92.3vh;
    z-index: 0;
}
@media (min-width:1000px){
	video#remoteVideo {
    border-left: 1px solid #00000021;
    background: #242424;
}
  div#remoteVideoContainer {
          left: 0;
    top: 46.2%;
    max-height: 454px !important;
    overflow: hidden;
    height: 451px;
    right: 0;
}
}
    audio, video {
    display: inline-block;
    width: 100%; 
    object-fit: cover;
    height: 100%;
    }
